"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveAccountAddresses = exports.cliAmmanInstance = void 0;
const api_1 = require("../../api");
const utils_1 = require("../../utils");
function cliAmmanInstance() {
    return api_1.Amman.instance({
        ammanClientOpts: { autoUnref: false, ack: true },
    });
}
exports.cliAmmanInstance = cliAmmanInstance;
async function resolveAccountAddresses(amman, acc) {
    if ((0, utils_1.isValidPublicKeyAddress)(acc))
        return [acc];
    const resolved = await amman.addr.resolveRemoteLabel(acc);
    return resolved;
}
exports.resolveAccountAddresses = resolveAccountAddresses;
//# sourceMappingURL=resolvers.js.map